Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - t -

- TeeSinkTokenFilter() : Lucene::TeeSinkTokenFilter
- term() : Lucene::FilteredTermEnum , Lucene::FilterTermEnum , Lucene::MultiTermEnum , Lucene::SegmentTermEnum
- Term() : Lucene::Term
- term() : Lucene::TermAttribute , Lucene::TermEnum , Lucene::Token
- termArraysEquals() : Lucene::MultiPhraseQuery
- termArraysHashCode() : Lucene::MultiPhraseQuery
- TermAttribute() : Lucene::TermAttribute
- termBuffer() : Lucene::TermAttribute
- TermBuffer() : Lucene::TermBuffer
- termBuffer() : Lucene::Token
- termBufferArray() : Lucene::TermAttribute , Lucene::Token
- termCompare() : Lucene::FilteredTermEnum , Lucene::FuzzyTermEnum , Lucene::PrefixTermEnum , Lucene::SingleTermEnum , Lucene::TermRangeTermEnum , Lucene::WildcardTermEnum
- termDocs() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::MultiTermDocs , Lucene::MultiTermPositions , Lucene::ParallelReader , Lucene::SegmentReader
- TermDocs() : Lucene::TermDocs
- TermFreqVector() : Lucene::TermFreqVector
- TermIndexStatus() : Lucene::TermIndexStatus
- termInfo() : Lucene::SegmentTermEnum
- TermInfo() : Lucene::TermInfo
- TermInfosReader() : Lucene::TermInfosReader
- TermInfosWriter() : Lucene::TermInfosWriter
- termLength() : Lucene::TermAttribute , Lucene::Token
- termPositions() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- TermPositions() : Lucene::TermPositions
- termPositionsDiffer() : Lucene::SloppyPhraseScorer
- TermPositionVector() : Lucene::TermPositionVector
- TermQuery() : Lucene::TermQuery
- TermRangeFilter() : Lucene::TermRangeFilter
- TermRangeQuery() : Lucene::TermRangeQuery
- TermRangeTermEnum() : Lucene::TermRangeTermEnum
- terms() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader , Lucene::TermInfosReader
- TERMS_EXTENSION() : Lucene::IndexFileNames
- TERMS_INDEX_EXTENSION() : Lucene::IndexFileNames
- TermScorer() : Lucene::TermScorer
- TermsHash() : Lucene::TermsHash
- TermsHashPerField() : Lucene::TermsHashPerField
- TermsHashPerThread() : Lucene::TermsHashPerThread
- termsIndexLoaded() : Lucene::SegmentReader
- TermSpans() : Lucene::TermSpans
- TermVectorEntry() : Lucene::TermVectorEntry
- TermVectorMapper() : Lucene::TermVectorMapper
- TermVectorOffsetInfo() : Lucene::TermVectorOffsetInfo
- TermVectorsPositionInfo() : Lucene::TermVectorsPositionInfo
- TermVectorsReader() : Lucene::TermVectorsReader
- TermVectorStatus() : Lucene::TermVectorStatus
- TermVectorsTermsWriter() : Lucene::TermVectorsTermsWriter
- TermVectorsTermsWriterPerDoc() : Lucene::TermVectorsTermsWriterPerDoc
- TermVectorsTermsWriterPerField() : Lucene::TermVectorsTermsWriterPerField
- TermVectorsTermsWriterPerThread() : Lucene::TermVectorsTermsWriterPerThread
- TermVectorsTermsWriterPostingList() : Lucene::TermVectorsTermsWriterPostingList
- TermVectorsWriter() : Lucene::TermVectorsWriter
- testAsserts() : Lucene::CheckIndex
- testFieldNorms() : Lucene::CheckIndex
- testPoint() : Lucene::DocState , Lucene::IndexWriter
- TestScope() : Lucene::TestScope
- testStoredFields() : Lucene::CheckIndex
- testTermIndex() : Lucene::CheckIndex
- testTermVectors() : Lucene::CheckIndex
- text() : Lucene::Term
- tf() : Lucene::DefaultSimilarity , Lucene::Similarity , Lucene::SimilarityDelegator
- ThreadPool() : Lucene::ThreadPool
- threadSleep() : Lucene::LuceneThread
- threadYield() : Lucene::LuceneThread
- throwException() : Lucene::LuceneException
- TimeLimitingCollector() : Lucene::TimeLimitingCollector
- TIMER_THREAD() : Lucene::TimeLimitingCollector
- timeToFlushDeletes() : Lucene::DocumentsWriter
- timeToString() : Lucene::DateField , Lucene::DateTools
- toByteArray() : Lucene::Payload
- toDouble() : Lucene::StringUtils
- toHtml() : Lucene::Explanation
- toIndex() : Lucene::Field
- toInt() : Lucene::StringUtils
- Token() : Lucene::Token
- TOKEN_ATTRIBUTE_FACTORY() : Lucene::Token
- TOKEN_TYPE_FULL_PREC() : Lucene::NumericTokenStream
- TOKEN_TYPE_LOWER_PREC() : Lucene::NumericTokenStream
- TOKEN_TYPES() : Lucene::StandardTokenizer
- TokenAttributeFactory() : Lucene::TokenAttributeFactory
- TokenFilter() : Lucene::TokenFilter
- Tokenizer() : Lucene::Tokenizer
- tokenStream() : Lucene::Analyzer , Lucene::KeywordAnalyzer , Lucene::PerFieldAnalyzerWrapper , Lucene::SimpleAnalyzer , Lucene::StandardAnalyzer , Lucene::StopAnalyzer
- TokenStream() : Lucene::TokenStream
- tokenStream() : Lucene::WhitespaceAnalyzer
- tokenStreamValue() : Lucene::Field , Lucene::Fieldable , Lucene::LazyField , Lucene::NumericField
- toLong() : Lucene::StringUtils
- toLower() : Lucene::CharFolder , Lucene::StringUtils , Lucene::UnicodeUtil
- toMB() : Lucene::DocumentsWriter
- toNonExcluded() : Lucene::ReqExclScorer
- top() : Lucene::HitQueueBase , Lucene::PriorityQueue< TYPE > , Lucene::ScorerDocQueue
- topDoc() : Lucene::ScorerDocQueue
- TopDocs() : Lucene::TopDocs
- topDocs() : Lucene::TopDocsCollector
- TopDocsCollector() : Lucene::TopDocsCollector
- TopFieldCollector() : Lucene::TopFieldCollector
- TopFieldDocs() : Lucene::TopFieldDocs
- TopLevelQuery() : Lucene::QueryParser
- topNextAndAdjustElsePop() : Lucene::ScorerDocQueue
- topScore() : Lucene::ScorerDocQueue
- TopScoreDocCollector() : Lucene::TopScoreDocCollector
- topSkipToAndAdjustElsePop() : Lucene::ScorerDocQueue
- toSameDoc() : Lucene::NearSpansOrdered
- toString() : Lucene::AbstractField , Lucene::AttributeSource , Lucene::BooleanClause , Lucene::BooleanQuery , Lucene::BooleanScorer , Lucene::CachingSpanFilter , Lucene::CachingWrapperFilter , Lucene::CommitPoint , Lucene::ConstantScoreQuery , Lucene::CustomScoreQuery , Lucene::Directory , Lucene::DisjunctionMaxQuery , Lucene::Document , Lucene::DocValues , Lucene::DoubleDocValues , Lucene::Explanation , Lucene::FieldCacheEntry , Lucene::FieldCacheRangeFilter , Lucene::FieldDoc , Lucene::FieldMaskingSpanQuery , Lucene::FieldValueHitQueueEntry , Lucene::FilteredQuery , Lucene::FlagsAttribute , Lucene::FSDirectory , Lucene::FuzzyQuery , Lucene::Insanity , Lucene::LuceneObject , Lucene::MatchAllDocsQuery , Lucene::MultiPhraseQuery , Lucene::MultiTermQueryWrapperFilter , Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::NumericRangeQuery , Lucene::NumericTokenStream , Lucene::OffsetAttribute , Lucene::PayloadAttribute , Lucene::PayloadNearQuery , Lucene::PerFieldAnalyzerWrapper , Lucene::PhraseQuery , Lucene::PhraseScorer , Lucene::PositionIncrementAttribute , Lucene::PrefixFilter , Lucene::PrefixQuery , Lucene::Query , Lucene::QueryParserToken , Lucene::QueryTermVector , Lucene::QueryWrapperFilter , Lucene::ReaderCommit , Lucene::ScoreDoc , Lucene::SegmentTermVector , Lucene::Sort , Lucene::SortField , Lucene::SpanFirstQuery , Lucene::SpanNearQuery , Lucene::SpanNotQuery , Lucene::SpanOrQuery , Lucene::SpanQueryFilter , Lucene::SpanTermQuery , Lucene::StringUtils , Lucene::Term , Lucene::TermAttribute , Lucene::TermQuery , Lucene::TermRangeQuery , Lucene::TermScorer , Lucene::TermSpans , Lucene::TermVectorEntry , Lucene::Token , Lucene::TypeAttribute , Lucene::ValueSource , Lucene::ValueSourceQuery , Lucene::WildcardQuery
- toTerm() : Lucene::TermBuffer
- toTermVector() : Lucene::Field
- touchFile() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- toUnicode() : Lucene::StringUtils
- toUpper() : Lucene::CharFolder , Lucene::StringUtils , Lucene::UnicodeUtil
- toUTF8() : Lucene::StringUtils
- TranslationResult() : Lucene::TranslationResult< TYPE >
- trimFields() : Lucene::DocFieldProcessorPerThread
- trimTrailingZeros() : Lucene::OpenBitSet
- type() : Lucene::Token , Lucene::TypeAttribute
- TypeAttribute() : Lucene::TypeAttribute
- typeOf() : Lucene::MiscUtils , Lucene::VariantUtils

clucene.sourceforge.net